#
# Conditional build:
%bcond_without	tests		# build with tests
#
%define	snap	20161222
%define	commit	807a0d9e2f4e176f75d62ac3c179c81800ec2608

Summary:	Khronos reference front-end for GLSL and ESSL
Name:		glslang
Version:	3.0.s%{snap}
Release:	1
License:	BSD-like
Group:		Applications/Graphics
Source0:	https://github.com/KhronosGroup/glslang/archive/%{commit}/%{name}-%{version}.tar.gz
# Source0-md5:	1d6791bde97542685acbeef26c68fb2d
Patch0:		runtests.patch
URL:		https://github.com/KhronosGroup/glslang
BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	llvm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An OpenGL and OpenGL ES shader front end and validator.

%package devel
Summary:	Khronos reference front-end library for GLSL and ESSL
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries

%description devel
A front-end library for programmatic parsing of GLSL/ESSL into an AST.

%prep
%setup -qn %{name}-%{commit}
%patch0 -p1

%build
install -d build
cd build
%cmake \
		../
%{__make}
%{__make} install DESTDIR=install
cd ..

%if %{with tests}
cd Test
./runtests
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

cd build
cp -p install%{_bindir}/*  $RPM_BUILD_ROOT%{_bindir}
cp -p install%{_prefix}/lib/* $RPM_BUILD_ROOT%{_libdir}
cd ..

install -d $RPM_BUILD_ROOT%{_includedir}/%{name}/{SPIRV,StandAlone,glslang/{Include,MachineIndependent/preprocessor,OSDependent,Public}}
cp -p SPIRV/{*.h,*.hpp} $RPM_BUILD_ROOT%{_includedir}/%{name}/SPIRV
cp -p glslang/Include/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/glslang/Include
cp -p glslang/MachineIndependent/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/glslang/MachineIndependent
cp -p glslang/MachineIndependent/preprocessor/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/glslang/MachineIndependent/preprocessor
cp -p glslang/OSDependent/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/glslang/OSDependent
cp -p glslang/Public/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/glslang/Public
cp -p StandAlone/Worklist.h $RPM_BUILD_ROOT%{_includedir}/%{name}/StandAlone
install build/StandAlone/libglslang-default-resource-limits.so $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README-spirv-remap.txt
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libglslang-default-resource-limits.so

%files devel
%defattr(644,root,root,755)
%doc README.md
%{_libdir}/*.a
%{_includedir}/%{name}
%changelog
* Mon Apr 03 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glslang.git;a=log;h=master

* Mon Apr 03 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 6e2afc3
- newer snapshot for current vulkan-sdk

* Wed Nov 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 53d949b
- snapshot 20161029, for vulkan-sdk 1.0.32.0

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> bfd9378
- Release: 2

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 4058043
- another take on isinf.patch

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 0429a44
- isinf.patch added

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> b2f7823
- Up to 20160513 snapshot

* Fri Apr 08 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> d36729b
- Up to 20160325 snapshot

* Sat Mar 12 2016 Jacek Konieczny <jajcus@jajcus.net> 2af08c8
- Up to revision used by Vulkan SDK 1.0.5

* Tue Feb 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 375a828
- fix C++ isinf() usage

* Tue Feb 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 4661a34
- up to 20160219 snapshot

* Sat Feb 20 2016 Jacek Konieczny <jajcus@jajcus.net> 6ff1ea0
- adapterized, release 1

* Fri Feb 19 2016 Jacek Konieczny <jajcus@jajcus.net> b9737aa
- Install all files needed by  LunarGLASS, fix doc

* Thu Feb 18 2016 Jacek Konieczny <jajcus@jajcus.net> 5dc6053
- Up to current github snapshots

* Thu Feb 18 2016 Jacek Konieczny <jajcus@jajcus.net> b97285f
- new package

